# How to download the game

The first step is to clone the repository:

``` sh
git clone https://gitea.tforgione.fr/tforgione/pytron
```

Then, ensure you have `python` and `pygame` installed. You can test you have
everything by executing the following command:
```
python -c "import pygame"
```

  - if you get a `python: command not found`, it means you don't have
    `python`, you can install it on ubuntu like so:
    ``` sh
    sudo apt install python
    ```

  - if you get a `ImportError: No module named 'pygame'`, it means you don't
    have `pygame`, you can install it on ubuntu like so:
    ``` sh
    sudo apt install python-pip
    sudo pip3 install pygame
    ```

# How to play the game

There are two runnable scripts in the repository, which are mostly here to be
examples:

  - `play.py` which shows how to create a game with a window and play against
    an AI.
  - `headless.py` which shows how to run a game with AIs without watching the
    interface, and thus, really fast.


